import dataclasses
from typing import Any

import pytest


@pytest.fixture
def mock_gitlab_issue() -> type[Any]:
    @dataclasses.dataclass
    class MockGitlabIssue:
        def __init__(self, title: str, iid: int) -> None:
            self.title = title
            self.iid = iid

    return MockGitlabIssue
